import { HttpClient } from '@angular/common/http';
import { AuthService } from '../../../workflow-services/auth.service';
import { Configurations } from '../../../configurations';
import { AddGrc, AttributesDetails, ListObject } from '../interfaces/add-grc';
import * as i0 from "@angular/core";
export declare class GrcService {
    private http;
    private authService;
    env: any;
    static readonly EDITOR_CONFIG: {
        mode: string;
        colorPalette: boolean;
        link: boolean;
        id: string;
        placeholder: string;
    };
    readonly GRC_PAYLOAD: AddGrc;
    readonly LIST_OBJECT: ListObject;
    constructor(http: HttpClient, authService: AuthService, config?: Configurations);
    getGRCList(event?: any): import("rxjs").Observable<any[]>;
    getGRCTabsCount(event?: any): import("rxjs").Observable<any[]>;
    checkValidation(grcPayload: AddGrc, isAttributesSelected: boolean): boolean | 0;
    checkAttributeValidation(attributes: AttributesDetails[]): boolean;
    checkAttributesSelected(attributes: AttributesDetails[]): boolean;
    checkEachAttributeValidation(attribute: AttributesDetails): boolean;
    getRiskCategories(event?: any): import("rxjs").Observable<any[]>;
    getRiskCategoriesCount(event?: any): import("rxjs").Observable<any[]>;
    getRisks(payload?: any): import("rxjs").Observable<any[]>;
    getBusinessCycle(): {
        selected_cycle: string;
        start_date: any;
        end_date: any;
        selected_cycle_arr: any;
    };
    getProgramsList(req: any): import("rxjs").Observable<import("@angular/common/http").HttpEvent<any[]>>;
    getProgramsListCount(req: any): import("rxjs").Observable<import("@angular/common/http").HttpEvent<any[]>>;
    getSubCategoryList(payload: any): import("rxjs").Observable<any>;
    getResponsibilityByCategoryId(req: any, payload?: any, filterPolicyData?: any): import("rxjs").Observable<ArrayBuffer>;
    static ɵfac: i0.ɵɵFactoryDeclaration<GrcService, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GrcService>;
}
